Package bitel.billing.server.admin.resource.bean

# Class NumberResourceManager

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceManager<NumberResource>
bitel.billing.server.admin.resource.bean.NumberResourceManager

public class NumberResourceManager extends ResourceManager<NumberResource>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberResourceManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `checkResource(String number, Date dateFrom, Date dateTo)`
  `void`
  `closeResources(String numbers, Calendar date)`
  `List<NumberResource>`
  `getBusyNumberList(int categoryId, Calendar date, String numberFrom, String numberTo, boolean reserved)`
  Возвращает список занятых номеров для выбранной категории, даты и диапазона номеров.
  `List<NumberResource>`
  `getFreeNumberList(int categoryId, Calendar date, String numberFrom, String numberTo, boolean reserved)`
  Возвращает список свободных номеров для выбранной категории, даты и диапазона номеров.
  `List<NumberResource>`
  `getLastUseNumberList(int categoryId, Calendar date, String numberFrom, String numberTo, Calendar ldate)`
  Возвращает список свободных с определенной даты номеров для выбранной категории и диапазона номеров.
  `Map<String,List<NumberResource>>`
  `getNumberResourceMap()`
  `List<NumberResource>`
  `getReservedNumberList(int categoryId, Calendar date, String numberFrom, String numberTo)`
  Возвращает список зарезервированных на даную дату номеров для выбранной категории и диапазона номеров.
  `protected NumberResource`
  `getResourceFromRs(ResultSet rs)`
  `protected NumberResource`
  `getResourceFromRsWithContract(ResultSet rs)`
  `List<NumberResource>`
  `getResourceList(int categoryId, String fromNumber, String toNumber)`
  Возвращает список номеров из диапазона номеров для выбранной категории
  `List<NumberResource>`
  `getResourceList(String number)`
  `List<NumberResource>`
  `getResourceListByIds(String ids)`
  `protected String`
  `getTableName()`
  `void`
  `syncResourceUse()`
  `void`
  `updateResource(NumberResource res)`
  `void`
  `updateResourcePeriod(String ids, Calendar date1, Calendar date2)`

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `changeResourceCategory, deleteResource, getResourceCount, loadStandartResourceFromRs, newResourceManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberResourceManager

    public NumberResourceManager(Connection con, int moduleId)

- ## Method Details

  - ### getTableName

    protected String getTableName()
    Specified by:
      `getTableName` in class `ResourceManager<NumberResource>`

  - ### getResourceFromRs

    protected NumberResource getResourceFromRs(ResultSet rs)
    Specified by:
      `getResourceFromRs` in class `ResourceManager<NumberResource>`

  - ### getResourceFromRsWithContract

    protected NumberResource getResourceFromRsWithContract(ResultSet rs)

  - ### updateResource

    public void updateResource(NumberResource res)
    Specified by:
      `updateResource` in class `ResourceManager<NumberResource>`

  - ### getResourceList

    public List<NumberResource> getResourceList(String number)

  - ### getResourceListByIds

    public List<NumberResource> getResourceListByIds(String ids)

  - ### updateResourcePeriod

    public void updateResourcePeriod(String ids, Calendar date1, Calendar date2)

  - ### getNumberResourceMap

    public Map<String,List<NumberResource>> getNumberResourceMap()

  - ### closeResources

    public void closeResources(String numbers, Calendar date)

  - ### getResourceList

    public List<NumberResource> getResourceList(int categoryId, String fromNumber, String toNumber)
    Возвращает список номеров из диапазона номеров для выбранной категории
    Parameters:
      `categoryId` - код категории
      `fromNumber` - начало диапазона номеров
      `toNumber` - окончание диапазона номеров
    Returns:
      список номеров

  - ### getFreeNumberList

    public List<NumberResource> getFreeNumberList(int categoryId, Calendar date, String numberFrom, String numberTo, boolean reserved)
    Возвращает список свободных номеров для выбранной категории, даты и диапазона номеров.
    Parameters:
      `categoryId` - код категории
      `date` - дата, на которую свободен номер
      `numberFrom` - начало диапазона номеров
      `numberTo` - окончание диапазона номеров
    Returns:
      список свободных номеров

  - ### getBusyNumberList

    public List<NumberResource> getBusyNumberList(int categoryId, Calendar date, String numberFrom, String numberTo, boolean reserved)
    Возвращает список занятых номеров для выбранной категории, даты и диапазона номеров.
    Parameters:
      `categoryId` - код категории
      `date` - дата, на которую свободен номер
      `numberFrom` - начало диапазона номеров
      `numberTo` - окончание диапазона номеров
    Returns:
      список занятых номеров

  - ### getLastUseNumberList

    public List<NumberResource> getLastUseNumberList(int categoryId, Calendar date, String numberFrom, String numberTo, Calendar ldate)
    Возвращает список свободных с определенной даты номеров для выбранной категории и диапазона номеров.
    Parameters:
      `categoryId` - код категории
      `date` - дата, на которую номер активен
      `numberFrom` - начало диапазона номеров
      `numberTo` - окончание диапазона номеров
      `ldate` - дата последнего использования ресурса
    Returns:
      список номеров

  - ### getReservedNumberList

    public List<NumberResource> getReservedNumberList(int categoryId, Calendar date, String numberFrom, String numberTo)
    Возвращает список зарезервированных на даную дату номеров для выбранной категории и диапазона номеров.
    Parameters:
      `categoryId` - код категории
      `date` - дата, на которую свободен номер
      `numberFrom` - начало диапазона номеров
      `numberTo` - окончание диапазона номеров
      `ldate` - дата последнего использования ресурса
    Returns:
      список номеров

  - ### syncResourceUse

    public void syncResourceUse() throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `syncResourceUse` in class `ResourceManager<NumberResource>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkResource

    public String checkResource(String number, Date dateFrom, Date dateTo)